# BokehShader

## Import

BokehShader is an addon, and must be imported explicitly, see [Installation#Addons](https://threejs.org/manual/#en/installation).

```js
import { BokehShader } from 'three/addons/shaders/BokehShader.js';
```

## Properties

### .BokehShader : ShaderMaterial~Shader (inner, constant)

Depth-of-field shader with bokeh ported from [GLSL shader by Martins Upitis](http://artmartinsh.blogspot.com/2010/02/glsl-lens-blur-filter-with-bokeh.html).

## Source

[examples/jsm/shaders/BokehShader.js](https://github.com/mrdoob/three.js/blob/master/examples/jsm/shaders/BokehShader.js)